.tencent-ui-designer .element-text {
  cursor: default;
  user-select: none;
}
.tencent-ui-designer .element-text ::-webkit-scrollbar {
  width: 8px;
}
.tencent-ui-designer .element-text ::-webkit-scrollbar-track {
  background: #ccc;
}
.tencent-ui-designer .element-text ::-webkit-scrollbar-thumb {
  background: #666;
  border-radius: 4px;
}
.tencent-ui-designer .element-text ::-webkit-scrollbar-corner {
  background: none;
}
.tencent-ui-designer .element-text div {
  margin-right: -8px;
}
.tencent-ui-designer .element-text div.fit-content,
.tencent-ui-designer .element-text div.fit-content div {
  margin-right: 0;
}
.tencent-ui-designer .element-text textarea {
  overflow-y: scroll;
}
.tencent-ui-designer .element-smart {
  cursor: default;
  user-select: none;
}
.tencent-ui-designer {
  width: 100%;
  height: 100%;
}
.tencent-ui-designer .stage {
  position: relative;
  height: 100%;
}
.tencent-ui-designer .stage > svg {
  position: absolute;
  left: 0;
  top: 0;
}
.tencent-ui-designer .ruler {
  user-select: none;
}
.tencent-ui-designer .status-move {
  cursor: move;
}
.tencent-ui-designer .status-move .element-text {
  cursor: move;
}
.tencent-ui-designer .status-rotate {
  cursor: url('https://qzonestyle.gdtimg.com/gdt_ui_proj/imghub/dist/ud-designer-cursor-rotate.png?max_age=31536000') 8 8, move;
}
.tencent-ui-designer .controller .transform-rotate {
  cursor: url('https://qzonestyle.gdtimg.com/gdt_ui_proj/imghub/dist/ud-designer-cursor-rotate.png?max_age=31536000') 8 8, move;
}
.tencent-ui-designer .controller .transform-resize .left-top,
.tencent-ui-designer .controller .transform-resize .right-bottom {
  cursor: nwse-resize;
}
.tencent-ui-designer .controller .transform-resize .left-bottom,
.tencent-ui-designer .controller .transform-resize .right-top {
  cursor: nesw-resize;
}
.tencent-ui-designer .controller .transform-resize .left-middle,
.tencent-ui-designer .controller .transform-resize .right-middle {
  cursor: ew-resize;
}
.tencent-ui-designer .controller .transform-resize .center-top,
.tencent-ui-designer .controller .transform-resize .center-bottom {
  cursor: ns-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-0 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-4 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-0 .right-bottom,
.tencent-ui-designer .controller .transform-resize.segment-4 .right-bottom {
  cursor: nwse-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-0 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-4 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-0 .right-top,
.tencent-ui-designer .controller .transform-resize.segment-4 .right-top {
  cursor: nesw-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-0 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-4 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-0 .right-middle,
.tencent-ui-designer .controller .transform-resize.segment-4 .right-middle {
  cursor: ew-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-0 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-4 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-0 .center-bottom,
.tencent-ui-designer .controller .transform-resize.segment-4 .center-bottom {
  cursor: ns-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-1 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-5 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-1 .right-bottom,
.tencent-ui-designer .controller .transform-resize.segment-5 .right-bottom {
  cursor: ns-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-1 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-5 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-1 .right-top,
.tencent-ui-designer .controller .transform-resize.segment-5 .right-top {
  cursor: ew-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-1 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-5 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-1 .right-middle,
.tencent-ui-designer .controller .transform-resize.segment-5 .right-middle {
  cursor: nwse-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-1 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-5 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-1 .center-bottom,
.tencent-ui-designer .controller .transform-resize.segment-5 .center-bottom {
  cursor: nesw-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-2 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-6 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-2 .right-bottom,
.tencent-ui-designer .controller .transform-resize.segment-6 .right-bottom {
  cursor: nesw-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-2 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-6 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-2 .right-top,
.tencent-ui-designer .controller .transform-resize.segment-6 .right-top {
  cursor: nwse-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-2 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-6 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-2 .right-middle,
.tencent-ui-designer .controller .transform-resize.segment-6 .right-middle {
  cursor: ns-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-2 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-6 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-2 .center-bottom,
.tencent-ui-designer .controller .transform-resize.segment-6 .center-bottom {
  cursor: ew-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-3 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-7 .left-top,
.tencent-ui-designer .controller .transform-resize.segment-3 .right-bottom,
.tencent-ui-designer .controller .transform-resize.segment-7 .right-bottom {
  cursor: ew-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-3 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-7 .left-bottom,
.tencent-ui-designer .controller .transform-resize.segment-3 .right-top,
.tencent-ui-designer .controller .transform-resize.segment-7 .right-top {
  cursor: ns-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-3 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-7 .left-middle,
.tencent-ui-designer .controller .transform-resize.segment-3 .right-middle,
.tencent-ui-designer .controller .transform-resize.segment-7 .right-middle {
  cursor: nesw-resize;
}
.tencent-ui-designer .controller .transform-resize.segment-3 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-7 .center-top,
.tencent-ui-designer .controller .transform-resize.segment-3 .center-bottom,
.tencent-ui-designer .controller .transform-resize.segment-7 .center-bottom {
  cursor: nwse-resize;
}
.tencent-ui-designer .controller .transform-delete {
  cursor: pointer;
}
